org.apache.sysds.runtime.compress

## Class CompressionStatistics

- java.lang.Object
- - org.apache.sysds.runtime.compress.CompressionStatistics

-     public class CompressionStatistics
      extends Object

  Compression Statistics contain the main information gathered from the compression, such as sizes of the original matrix, vs the compressed representation at different stages of the compression.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `compressedInitialSize`
    `long` | `denseSize`
    `long` | `estimatedSizeCoCoded`
    `long` | `estimatedSizeCols`
    `long` | `originalSize`
    `long` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompressionStatistics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,int[]>` | `getColGroups()`
    `String` | `getGroupsSizesString()`
    `String` | `getGroupsTypesString()`
    `double` | `getRatio()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### estimatedSizeCoCoded

          public long estimatedSizeCoCoded

    - #### estimatedSizeCols

          public long estimatedSizeCols

    - #### compressedInitialSize

          public long compressedInitialSize

    - #### originalSize

          public long originalSize

    - #### denseSize

          public long denseSize

    - #### size

          public long size

  - ### Constructor Detail

    - #### CompressionStatistics

          public CompressionStatistics()

  - ### Method Detail

    - #### getColGroups

          public Map<String,int[]> getColGroups()

    - #### getGroupsTypesString

          public String getGroupsTypesString()

    - #### getGroupsSizesString

          public String getGroupsSizesString()

    - #### getRatio

          public double getRatio()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.